using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a toad corpse" )]
	public class FireToad : BaseCreature
	{
		[Constructable]
		public FireToad () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a fire toad";
			Body = 153;
			BaseSoundID = 0x26B;

			SetStr( 126, 150 );
			SetDex( 26, 45 );
			SetInt( 11, 20 );

			SetHits( 96, 110 );
			SetMana( 0 );

			SetDamage( 7, 19 );

			SetSkill( SkillName.MagicResist, 45.1, 60.0 );
			SetSkill( SkillName.Tactics, 60.1, 80.0 );
			SetSkill( SkillName.HandToHand, 60.1, 80.0 );

			Fame = 850;
			Karma = -850;

			VirtualArmor = 28;

			PackItem( new SulfurousAsh( Utility.RandomMinMax( 8, 20 ) ) );

			AddItem( new LightSource() );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Meager );
		}

		public override int Meat{ get{ return 1; } }
		public override int Hides{ get{ return 4; } }

		public FireToad( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}